curl --request GET \
--url https://api.wodup.dev/api/public/results/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.wodup.dev/api/public/results/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.wodup.dev/api/public/results/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"comments": [
{
"author": {
"id": "ath_123abc",
"name": "Jane Doe"
},
"can_modify": true,
"created_at": "2000-01-01T00:00:00Z",
"id": "c_123abc",
"replies": [],
"text": "Great job!"
}
],
"description": null,
"details": {
"rest": {
"type": "as_needed"
},
"sets": [
{
"load": 6,
"load_unit": "kg",
"movement_id": "mv_fT0m3viH",
"reps": 5
}
],
"type": "StrengthResult"
},
"done_at": "2001-01-01T12:00:00.000000Z",
"id": "r_123abc",
"movements": [
{
"complex_details": null,
"description": null,
"has_calories": false,
"has_distance": false,
"has_duration": false,
"has_height": false,
"has_load": true,
"has_power": false,
"has_reps": true,
"id": "mv_fT0m3viH",
"name": "Back Squat",
"source": "wodup",
"video": {
"id": "dQw4w9WgXcQ",
"service": "youtube"
}
}
],
"notes": null,
"perceived_exertion": 0,
"prescribed_workout": {
"description": "Back Squat 5 reps",
"details": {
"movements": [
{
"id": "mv_fT0m3viH",
"load": null,
"reps": "5"
}
],
"rest": {
"type": "as_needed"
},
"type": "Strength"
},
"movements": [
{
"complex_details": null,
"description": null,
"has_calories": false,
"has_distance": false,
"has_duration": false,
"has_height": false,
"has_load": true,
"has_power": false,
"has_reps": true,
"id": "mv_fT0m3viH",
"name": "Back Squat",
"source": "wodup",
"video": {
"id": "dQw4w9WgXcQ",
"service": "youtube"
}
}
],
"name": null,
"type": "Strength"
},
"scaled_workout": null,
"scaling": "rx",
"status": "completed",
"type": "StrengthResult",
"wod_component_id": null
}{
"errors": {}
}{
"errors": {}
}Get a result
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Headers
Only used by platform integrations
ID of gym to execute on behalf of
"gym_123abc"
Path Parameters
ID of result to get
"r_123abc"
Response
Result object
Comments on this result
Show child attributes
Show child attributes
A short description of the result
A result's structure, one object shape per result type, discriminated by type. The AccessoryWorkResultDetails and WeightliftingTotalResultDetails members are deprecated and appear only in historical results.
- AmrapResultDetails
- CardioResultDetails
- CardioIntervalsResultDetails
- DeathByResultDetails
- EmomResultDetails
- FgbResultDetails
- FgbResultDetails
- ForTimeResultDetails
- ForTimeResultDetails
- ForTimeResultDetails
- FranStyleResultDetails
- FranStyleResultDetails
- GenericResultDetails
- MaxRepsResultDetails
- RoundsForTimeResultDetails
- RoundsForTimeResultDetails
- StrengthResultDetails
- TabataResultDetails
- TwelveDaysResultDetails
- TwelveDaysResultDetails
- WarmUpResultDetails
- AccessoryWorkResultDetails
- WeightliftingTotalResultDetails
Show child attributes
Show child attributes
When the result was done.
Result ID
Movement objects referenced by this result
Show child attributes
Show child attributes
From 1-5. 0 means no entry.
Workout object
Show child attributes
Show child attributes
{ "description": "Back Squat 5 reps", "details": { "movements": [ { "id": "mv_fT0m3viH", "load": null, "reps": "5" } ], "rest": { "type": "as_needed" }, "type": "Strength" }, "movements": [ { "complex_details": null, "description": null, "has_calories": false, "has_distance": false, "has_duration": false, "has_height": false, "has_load": true, "has_power": false, "has_reps": true, "id": "mv_fT0m3viH", "name": "Back Squat", "source": "wodup", "video": { "id": "dQw4w9WgXcQ", "service": "youtube" } } ], "name": null, "type": "Strength" }
Whether the workout was scaled
rx, rxplus, scaled, modified Has the result been completed
completed, cap, dnf, dns Result type. AccessoryWorkResult and WeightliftingTotalResult are deprecated legacy types returned only for historical results.
AmrapResult, CardioResult, CardioIntervalsResult, DeathByResult, EmomResult, FgbResult, ForTimeResult, FranStyleResult, GenericResult, MaxRepsResult, RoundsForTimeResult, StrengthResult, TabataResult, TwelveDaysResult, WarmUpResult, AccessoryWorkResult, WeightliftingTotalResult Athlete notes
Workout object
Show child attributes
Show child attributes
{ "description": "Back Squat 5 reps", "details": { "movements": [ { "id": "mv_fT0m3viH", "load": null, "reps": "5" } ], "rest": { "type": "as_needed" }, "type": "Strength" }, "movements": [ { "complex_details": null, "description": null, "has_calories": false, "has_distance": false, "has_duration": false, "has_height": false, "has_load": true, "has_power": false, "has_reps": true, "id": "mv_fT0m3viH", "name": "Back Squat", "source": "wodup", "video": { "id": "dQw4w9WgXcQ", "service": "youtube" } } ], "name": null, "type": "Strength" }
WOD Component ID if this result belongs to a WOD